Connexion

Besoin d'aide ? Une question ? Un avis ? Rejoignez nous sur notre salon IRC pour clavarder

Forum

Système et matériels » Installation et configuration [Réglé] Mise à jour Mode d'emploi please...!

apascale Membre non connecté

Rang

Avatar

Inscrit le : 09/02/2020 à 14h37

Localisation : Mantes-La-Jolie

Messages: 81

Le 09/02/2020 à 23h49
Bonjour,
quelle est la commande à taper pour continuer la mise à jour ?
J'ai eu une question suite à un paquetage déjà installé où il fallait répondre non /N/ et maintenant j'ai la main en root mais je ne sais pas quoi taper pour continuer la mise à jour...
Merci


@¬-°@ =¢-¦=
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 2454

Le 09/02/2020 à 23h58
Bonjour,

Je suppose que le fait de répondre N (non) a interrompu l' exécution de urpmi --auto-update (et donc le programme a rendu la main).

Ce qui serait intéressant, c' est de savoir quel paquet génére cette erreur, afin de voir si un contournement est possible ( par exemple en le désinstallant, puis en relançant un "urpmi --auto-update" ).
   
apascale Membre non connecté

Rang

Avatar

Inscrit le : 09/02/2020 à 14h37

Localisation : Mantes-La-Jolie

Messages: 81

Le 10/02/2020 à 00h17
Voilà ce qu'il y avait quand je suis revenue à mon ordi :
Afin de poursuivre la mise à jour, le paquetage suivant doit être désinstallé : man-db-2.8.5-1mga7.x86_64 (pour installer le paquetage man-db-2.8.5-1mga7.x86_64) (o/N)
J'ai tapé N
Maintenant à la ligne j'ai
[mon root] #
J'ai refait uprmi--auto-update mais ça revient au même point
Je fouille le site pour savoir comment désintaller un paquetage, j'apprends.
Merci de pouvoir me guider



@¬-°@ =¢-¦=
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 2454

Le 10/02/2020 à 00h25
Bonjour,

Citation :
uprmi--auto-update mais ça revient au même point


C' est normal...

Ce qui est bizarre c' est que le paquet a besoin de se désinstaller pour se réinstaller ! :ghee:

Pour moi, on devrait pouvoir répondre oui ( O ) ce n' est pas un paquet normalement critique pour le système.

Pour désinstaller un paquet, on utilise la commande "urpme nom_du_paquet" . Mais ici, c' est ce qui est proposé ( donc il va le faire lui même!)

Pour voir certaines commandes urpm , voir la page à cet endroit.
Edité par nic80 Le 10/02/2020 à 00h31
   
apascale Membre non connecté

Rang

Avatar

Inscrit le : 09/02/2020 à 14h37

Localisation : Mantes-La-Jolie

Messages: 81

Le 10/02/2020 à 00h45
Merci encore, j'ai mis oui et c'est reparti.
Merci pour le lien.


@¬-°@ =¢-¦=
   
apascale Membre non connecté

Rang

Avatar

Inscrit le : 09/02/2020 à 14h37

Localisation : Mantes-La-Jolie

Messages: 81

Le 10/02/2020 à 01h09
Ça continue, nouveau blocage...!
Je ne touche plus à rien avant demain car il est tard mais il y a 3 ligne erreur à l'écran avant celle de mon root qui est apparu tout seul cette fois... :
erreur : db5 erreur(-30973) de dbenv->open : BDB0087 DB_RUNRECOVERY: Fatal error, run database recovery
erreur : impossible d'ouvrir l'ndex Packages en utilisant db5- (-30973)
erreur : impossible d'ouvrir la base de données paquet dans /var/lib/rpm impossible d'ouvrir la base de données rpm

Fatal error ça fait peur quand même ! C'est où qu'on trouve des formations "histoire de Linux" et "utilisation de Mageia" ??!!!


@¬-°@ =¢-¦=
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 2454

Le 10/02/2020 à 01h17
Bonjour,

Ceci correspond à une corruption de la base rpm ( cela peut arriver).

Dans ce cas, il faut reconstruire la base rpm.

Dans ce cas, il faut appliquer la méthode dans le lien fourni (rubrique "La base URPMI est endommagée ... Comment la réparer ?").

C' est à dire en root:

Code BASH :
rm -f /var/lib/rpm/__db*
rpm --rebuilddb


Ensuite on devrait pouvoir relancer de nouveau l' "urpmi --auto-update"

   
apascale Membre non connecté

Rang

Avatar

Inscrit le : 09/02/2020 à 14h37

Localisation : Mantes-La-Jolie

Messages: 81

Le 10/02/2020 à 08h28
Ok, ça a marché j'ai fait rpm rebuild, c'est efficace ! Merci
Je laisse tourner toute la journée


@¬-°@ =¢-¦=
   
Jybz Membre non connecté

Rang

Avatar

Modérateur Administrateur

Inscrit le : 10/10/2018 à 10h26

Messages: 2796

Le 10/02/2020 à 10h27
apascale :
C'est où qu'on trouve des formations "histoire de Linux" et "utilisation de Mageia" ??!!!

Avant tout, c'est la motivation qu'il faut trouver !
Je n'ai pas souvenir d'une littérature convenable à ce sujet non plus. J'ai quelques livres excellent mais trop spécifique et bien trop orienté développement (même si en expliquant le développement, ça doit passer par l'explication de la base...).
Je crois que c'est un besoin auquel il faudrait répondre... Cependant, j'avoue ne pas avoir lu la documentation de mageia... ( http://www.mageia.org/fr/doc/ )
En même temps, le titre des documents parlent avant tout d'installation et non d'utilisation...
   
magnux77 Membre non connecté

Rang

Avatar

Inscrit le : 21/09/2009 à 11h49

Localisation : Champs-sur-Marne France

Messages: 5308

Le 10/02/2020 à 11h10
apascale :
C'est où qu'on trouve des formations "histoire de Linux" et "utilisation de Mageia" ??!!!

1° L'histoire de GNU/Linux. Elle est forte intéressante mais elle n'aide pas beaucoup à se dépatouiller des problèmes comme ceux que tu rencontres en cemoment. Il suffit de connaître la fin de l'histoire. GNU/Linux et *nix ont tout raflé : tous les serveurs web (ou presque), Androïd, les GPS, Apple (iOS). Pourquoi ? Parce que c'est les meilleur, plus simple, plus robuste. Tout raflé, sauf les PC où sévit majoritairement Windows. Bref, tu utilises un système fiable dans lequel tu peux continuer à avoir confiance. Tu remarqueras la solution efficace de reconstruction de la base de données des packages dont le crash pourrait sembler a priori rédhibitoire. Et tu peux compter sur l'expérience et les conseils de ceux qui aident sur ce forum. Dans un premier temps, il faut surtout apprendre à bien expliquer son problème et taper attentivement les commandes proposées (ou les copier-coller).

2° utilisation de Mageia. Les manips que t'indiquent les collègues ne relèvent pas de l'utilisation normale et quotidienne de Mageia qui ne nécessite souvent que la souris. Firefox, Libre Office ne nécessitent pas d'apprentissage particulier à Mageia. Bref, ne te flagelle pas, la plupart de ceux qui utilisent Mageia, ne connaissent pas les commandes que tu es en train d'utiliser parce qu'elles ne sont que très rarement nécessaires. Et tu peux constater que la communauté est là pour t'aider.

;-)


...depuis Mandrake 7
Membre de l'April - « promouvoir et défendre le Logiciel Libre»
Soutien Framasoft - « Changer le monde, un octet à la fois»
Config n°1 : cpu=AMD64x6 mem=16G SSD=64G HDD=1T OS=Mageia7-64 DE=Xfce, Config n°2 : Dell Latitude E6410 SSD=120G OS=Mageia7 DE=Xfce, Config n°3 : ThinkpadR40 SSD=32G OS=[Manjaro, Parabola, Mageia6] DE=Xfce, Config n°4 : EeePC901 SSD=20Gb, OS=[SliTaz5/Lxde, Mageia6/Xfce]
   
m@rco123 Membre non connecté

Rang

Avatar

Inscrit le : 15/05/2009 à 08h07

Localisation : Val d'Oise

Messages: 3075

Le 10/02/2020 à 11h18
Bonjour apascale
Pour ce faire, je me suis cree un fichier texte : tips mageia ou je note a chaque fois mes découvertes et conseils donnés ici :

savoir ou ce trouve une lib64
urpmf nom de la lib

effacer orphelins
urpme --auto-orphans pour orphelins


Lenovo g70-70
cg intel 810 / ssd SanDisk 250Go
Mageia 7.1 plasma 64b

Packard Bell ls11hr
cg intel 810 / ssd SanDisk 128Go
Mageia 7.1 plasma 64b
   
stroibe974 Membre non connecté

Rang

Avatar

Modérateur

Inscrit le : 13/08/2018 à 16h22

Localisation : Réunion

Messages: 1219

Le 10/02/2020 à 11h52
apascale :

Fatal error ça fait peur quand même ! C'est où qu'on trouve des formations "histoire de Linux" et "utilisation de Mageia" ??!!!


Je suis d'accord avec m@rco et magnux77 une courte antisèche suffit, du genre :
Code :

su - (pour passer root)
urpmi --auto-update (pour lancer une mise à jour)
XFdrake (pour lancer l'outil de configuration de pilote graphique)


Il faut les considérer comme une roue de secours, à toujours garder en tête au cas où le système ne démarre plus (en réalité, il démarre quand-même, mais il n'y a pas d'interface graphique alors c'est très… embêtant :gene: )
Ça peut être utile aussi d'avoir quelques bases de vim, un éditeur de texte un peu spartiate avec des raccourcis clavier cabalistiques, pour les mêmes raisons : si l'interface graphique n'a pas démarré, ce fameux vim est le seul qui sera toujours dispo pour modifier des fichiers importants en mode console… cela dit, ça fait bien longtemps que je n'ai pas eu besoin de l'utiliser, donc…


Mageia 7 (64bits) - Plasma - Intel Core i7-8700K @ 3.70Ghz - 16Go RAM
frenchmageiauser_9c2c8
   
m@rco123 Membre non connecté

Rang

Avatar

Inscrit le : 15/05/2009 à 08h07

Localisation : Val d'Oise

Messages: 3075

Le 10/02/2020 à 11h55
Je préfère nano ...chacun ses gouts ! :)


Lenovo g70-70
cg intel 810 / ssd SanDisk 250Go
Mageia 7.1 plasma 64b

Packard Bell ls11hr
cg intel 810 / ssd SanDisk 128Go
Mageia 7.1 plasma 64b
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 2454

Le 10/02/2020 à 12h06
Bonjour,

Vi(m), n' est pas le seul editeur disponible et après avoir utilisé vi et ces raccourcis commande/ mode insertion, ce n' est pas le plus simple d' utilisation.

Je n' ai pas essayé emacs.

Nano me semble plus simple d' utilisation que les deux précédents.
   
Jybz Membre non connecté

Rang

Avatar

Modérateur Administrateur

Inscrit le : 10/10/2018 à 10h26

Messages: 2796

Le 10/02/2020 à 14h24
Je confirme.

Pour Vi, il faut suivre un tutoriel pour apprendre les commandes, c'est un vrai éditeur de texte puissant, deux touches permettent de supprimer une ligne, une touche permet de sauter en début de document, ou à la fin... Mais aucune des touches n'est affichée, il faut les connaitre par cœur. Cependant, vi est le logiciel d'édition de texte installé par défaut dans toutes les distributions Linux.

Nano, permet de faire bien moins de choses ! Mais il fait très bien ce qui est demandé, modifier les fichiers textes. Son avantage, il garde un bandeau en bas d'écran récapitulant les maigres commandes existantes (mais 90% du nécessaire), sauvegarder, quitter, ... Forcément, nano n'est pas installé par défaut. Si nécessaire, il faut l'installer, par exemple " urpmi nano " (qui nécessite d'être exécuté en tant que root).

Jybz
   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie